org.apache.fop.svg

## Class PDFContext

- java.lang.Object
- - org.apache.fop.svg.PDFContext

    public class PDFContext
    extends Object

Context class which holds state information which should remain in sync over multiple instances of PDFDocumentGraphics2D.

### Constructor Summary

Constructors
Constructor and Description
`PDFContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearCurrentPage()` After this call, there's no current page.
`PDFPage` `getCurrentPage()`
`void` `increasePageCount()` Notifies the context to increase the page count.
`boolean` `isPagePending()`
`void` `setCurrentPage(PDFPage page)` Sets the current page

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFContext

    public PDFContext()

### Method Detail

#### isPagePending

    public boolean isPagePending()

Returns:
  true if a page is set up for painting.

#### clearCurrentPage

    public void clearCurrentPage()

After this call, there's no current page.

#### getCurrentPage

    public PDFPage getCurrentPage()

Returns:
  the current page or null if there is none

#### setCurrentPage

    public void setCurrentPage(PDFPage page)

Sets the current page

Parameters:
  `page` - the page

#### increasePageCount

    public void increasePageCount()

Notifies the context to increase the page count.